@font-face {
  font-family: "CammronDemo";
  src: url("../fonts/CammronDemo.eot"); /* IE9 Compat Modes */
  src: url("../fonts/CammronDemo.eot?#iefix") format("embedded-opentype"),
    /* IE6-IE8 */ url("../fonts/CammronDemo.woff") format("woff"),
    /* Modern Browsers */ url("../fonts/CammronDemo.ttf") format("truetype"),
    /* Safari, Android, iOS */ url("../fonts/CammronDemo.svg#CammronDemo")
      format("svg"); /* Legacy iOS */
  font-style: normal;
  font-weight: normal;
  text-rendering: optimizeLegibility;
}

@font-face {
  font-family: "MyriadProBold";
  src: url("../fonts/MyriadProBold.wotf") format("woff");
  font-style: normal;
  font-weight: normal;
  text-rendering: optimizeLegibility;
}

@font-face {
  font-family: "Myriad Pro Regular";
  font-style: normal;
  font-weight: normal;
  src: local("Myriad Pro Regular"),
    url("../fonts/MYRIADPRO-REGULAR.woff") format("woff");
}

@font-face {
  font-family: "Myriad Pro Bold";
  font-style: normal;
  font-weight: normal;
  src: local("Myriad Pro Bold"),
    url("../fonts/MYRIADPRO-BOLD.woff") format("woff");
}

:root {
  --side_login_margin: 20%;
  --top_login_margin: 10%;
  --form_margin: 25px;
  --form_margin_top: 50px;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

div {
  float: left;
  position: relative;
}

html {
  height: 100%;

  margin: 0 0 0 0;
}

body {
  margin: 0px;
  padding: 0px;
  background-image: url("../img/backhome2.jpg");
  background-repeat: no-repeat;
  /*background-size:1941px 1101px;*/
  background-size: cover;
  background-position: left top;
  background-attachment: scroll;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  min-height: 100vh;
  height: 100%;
  width: 100%;
  overflow-x: hidden;
}

.top_holder {
  width: 100%;
  top: 0px;
  left: 0px;
  height: 200px;
}

.top_holder .logo-holder {
  left: calc(50% - 100px);
  width: 20%;
  margin-top: 10px;
  height: auto;
}

.top_holder .logo-holder img {
  width: 200px;
}

.top_holder .logout {
  float: left;
  width: 10%;
  left: 70%;
  top: 35px;
  /* margin-top: 35px; */
  position: relative;
  font-size: 20px;
}

.top_holder .logout a p {
  font-size: 20px;
  color: #ffffff;
}

.login-box {
  background-color: #ffffff;
  border-radius: 10px;
  /* margin-left: var(--side_login_margin); */
  margin-top: var(--top_login_margin);
  width: 17%;
  /* height: 22%; */
  height: 360px;
}

.login-box .login-form {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  padding-left: var(--form_margin);
  padding-right: var(--form_margin);
  padding-top: var(--form_margin_top);
  display: flex;
  flex-direction: column;
  align-items: center;
}
.login-box .login-form .login-text {
  color: #000000;
  font-family: "CammronDemo";
  font-size: 30px;
}
.login-box .login-form .inputs-holder {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.login-box .login-form .inputs-holder input {
  background-color: #ededed;
  width: 100%;
  height: 50px;
  margin-top: 30px;
  padding-left: 15px;
  border-radius: 30px;
  /*border-color: #ffd700;*/
  /*border-width: 5px;*/
  border: none;
  color: #cfaf6a;
  font-family: "CammronDemo";
  font-size: 15px;
}
#username:-internal-autofill-selected {
  background-color: #ffffff !important;
  color: #cfaf6a !important;
  font-family: "CammronDemo";
}

#password:-internal-autofill-selected {
  background-color: #ffffff !important;
  color: #cfaf6a !important;
  font-family: "CammronDemo";
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #cfaf6a;
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #cfaf6a;
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #cfaf6a;
}

.login-box .login-form .inputs-holder .submit {
  background-color: #cfaf6a;
  width: 35%;
  height: 40px;
  margin-top: 30px;
  border-radius: 30px;
  /*border-color: #ffd700;*/
  /*border-width: 5px;*/
  border: none;
  color: #ffffff;
  font-family: "CammronDemo";
  font-size: 15px;
}

.wine_list input[type="number"] {
}

.wine_list .row {
  display: table;
  width: 100%;
}

.wine_list input[type="submit"] {
}

/* Listagem */

.loaderPaper {
  z-index: 5;
  position: absolute;
  border-radius: 15px;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: rgb(192, 192, 192, 0.5);
  display: none;
}

.loaderPaper .active {
  display: flex;
}

.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #cfaf6a; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  position: absolute;
  top: calc(50% - 60px);
  left: calc(50% - 60px);
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.my_table {
  table-layout: fixed;
  border-collapse: collapse;
  position: relative;
  float: left;
  width: 72%;
  height: 750px;
  margin-top: 30px;
  margin-bottom: 30px;
  margin-left: 7%;
  margin-right: 7%;
}

.my_table .header_row {
  height: 70px;
  color: #000000;
  font-family: "Myriad Pro Regular";
  font-size: 18px;
  background-color: #cfaf6a;
  width: 100%;
}

.my_table .header_row .header {
  border: none;
  display: block;
  height: 100%;
  padding: 22px;
  float: left;
}

.my_table tbody {
  height: 100%;
  display: block;
  height: 550px;
  overflow: auto;
  overflow: -moz-scrollbars-none;
  -ms-overflow-style: none;
}

.my_table.element::-webkit-scrollbar {
  width: 0 !important;
  display: none;
}

.my_table tbody tr {
  background-color: lightgrey;
  color: black;
  height: 110px;
  font-family: "Myriad Pro Regular";
  transition: height 2s ease-in-out, background-color 1s ease-in-out;
}

.my_table tbody tr:nth-child(odd) {
  background-color: white;
}

.my_table tbody .novo {
  height: 0px;
  line-height: 0px;
}

.my_table tbody .danger {
  background-color: darkred !important;
  color: white;
  /*border-color: white;*/
  /*border-width: 1px;*/
  /*border-style: solid;*/
  box-shadow: inset 1px 1px 0 #fff, inset -1px -1px 0 #fff;
}

.my_table tbody .canceled {
  background-color: lightslategray !important;
  color: #fff;
  box-shadow: inset 1px 1px 0 #fff, inset -1px -1px 0 lightgrey;
}

.my_table tbody .success {
  background-color: darkgreen !important;
  box-shadow: inset 1px 1px 0 #fff, inset -1px -1px 0 #fff;
  color: #fff;
}

.my_table tbody tr .item {
  text-align: center;
  line-height: 15px;
  font-size: 15px;
  margin: 4px;
  opacity: 1;
  transition: opacity 2s ease-in-out;
}

.my_table tbody tr .confirmar {
  color: #cfaf6a;
  cursor: pointer;
}

.my_table tbody tr .novo {
  display: none;
  opacity: 0;
  line-height: 0px;
}

/* start of modal css */
.modal {
  display: none;
  position: fixed;
  top: 40px;
  z-index: 2;
  left: calc(50% - 300px);
  width: 600px;
  height: 320px;
  padding: 15px;
  border-radius: 15px;
  background-color: white;
  box-shadow: 1px 1px 1px 1px #333;
}

#myModal2 {
  height: 180px !important;
}

.modal h3 {
  font-family: "Myriad Pro Regular";
}

.modal form {
  display: flex;
  flex-direction: column;
}

.modal form input,
textarea {
  background-color: #ededed;
  width: 100%;
  min-height: 25px;
  margin-top: 15px;
  border-radius: 5px;
  /*border-color: #ffd700;*/
  /*border-width: 5px;*/
  padding: 8px;
  border: none;
  color: #000;
  font-family: "Myriad Pro Regular";
  font-size: 11px;
}

.modal form textarea {
  background-color: #ededed;
  width: 100%;
  min-height: 25px;
  margin-top: 15px;
  border-radius: 10px;
  /*border-color: #ffd700;*/
  /*border-width: 5px;*/
  padding: 8px;
  border: none;
  color: #000;
  font-family: "Myriad Pro Regular";
  font-size: 11px;
}

.modal form button {
  background-color: #cfaf6a;
  width: 35%;
  height: 30px;
  margin-top: 15px;
  border-radius: 15px;
  /*border-color: #ffd700;*/
  /*border-width: 5px;*/
  border: none;
  color: #ffffff;
  font-family: "Myriad Pro Regular";
  font-size: 12px;
}

/* end of modal css */

@media screen and (max-width: 1440px) {
  /*LOGO*/
  .top_holder {
    width: 100%;
    top: 0px;
    left: 0px;
    height: 200px;
  }

  .top_holder .logo-holder {
    left: calc(50% - 100px);
    width: 200px;
    margin-top: 35px;
    height: auto;
  }

  .top_holder .logo-holder img {
    width: 200px;
  }

  .top_holder .logout {
    float: left;
    width: 10%;
    left: 70%;
    top: 40px;
    /* margin-top: 35px; */
    position: relative;
    font-size: 20px;
    color: #cfaf6a;
  }

  .top_holder .logout a p {
    font-size: 28px;
    color: #ffffff;
  }
  /*LOGIN*/
  .login-box {
    background-color: #ffffff;
    border-radius: 10px;
    /* margin-left: var(--side_login_margin); */
    margin-top: var(--top_login_margin);
    width: 20%;
    /* height: 46%; */
    height: 360px;
  }

  .login-box .login-form {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    padding-left: var(--form_margin);
    padding-right: var(--form_margin);
    padding-top: var(--form_margin_top);
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .login-box .login-form .login-text {
    color: #000000;
    font-family: "CammronDemo";
    font-size: 30px;
  }
  .login-box .login-form .inputs-holder {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .login-box .login-form .inputs-holder input {
    background-color: #ededed;
    width: 100%;
    height: 50px;
    margin-top: 30px;
    padding-left: 15px;
    border-radius: 30px;
    /*border-color: #ffd700;*/
    /*border-width: 5px;*/
    border: none;
    color: #cfaf6a;
    font-family: "CammronDemo";
    font-size: 15px;
  }

  .login-box .login-form .inputs-holder .submit {
    background-color: #cfaf6a;
    width: 35%;
    height: 40px;
    margin-top: 30px;
    border-radius: 30px;
    /*border-color: #ffd700;*/
    /*border-width: 5px;*/
    border: none;
    color: #ffffff;
    font-family: "CammronDemo";
    font-size: 15px;
  }

  /*LISTAGEM*/
  .my_table {
    width: 80%;
    height: 750px;
    margin-top: 50px;
    margin-bottom: 50px;
    margin-left: 7%;
    margin-right: 7%;
  }

  .my_table .header_row {
    height: 70px;
    font-size: 18px;
    width: 100%;
  }

  .my_table .header_row .header {
    height: 100%;
    padding: 22px;
  }

  .my_table tbody {
    height: 100%;
    height: 550px;
  }

  .my_table tbody tr {
    height: 110px;
    transition: height 2s ease-in-out, background-color 1s ease-in-out;
  }

  .my_table tbody tr .item {
    line-height: 13px;
    font-size: 13px;
    margin: 4px;
    transition: opacity 2s ease-in-out;
  }
}

@media screen and (max-width: 1024px) {
  /*LOGO*/
  .top_holder {
    width: 100%;
    top: 0px;
    left: 0px;
    /* height: 150px; */
  }

  .top_holder .logo-holder {
    /* left: 35%; */
    width: 30%;
    margin-top: 35px;
    height: auto;
  }
  .top_holder .logout {
    float: left;
    width: 10%;
    left: 58%;
    top: 35px;
    /* margin-top: 35px; */
    position: relative;
    font-size: 20px;
    color: #ffffff;
  }

  .top_holder .logout a p {
    font-size: 20px;
    color: #ffffff;
  }
  /*LOGIN*/
  .login-box {
    background-color: #ffffff;
    border-radius: 10px;
    /* margin-left: var(--side_login_margin); */
    margin-top: var(--top_login_margin);
    width: 30%;
    /* height: 45%; */
    height: 390px;
  }

  .login-box .login-form {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    padding-left: var(--form_margin);
    padding-right: var(--form_margin);
    padding-top: var(--form_margin_top);
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .login-box .login-form .login-text {
    color: #000000;
    font-family: "CammronDemo";
    font-size: 25px;
  }
  .login-box .login-form .inputs-holder {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .login-box .login-form .inputs-holder input {
    background-color: #ededed;
    width: 100%;
    height: 45px;
    margin-top: 30px;
    padding-left: 15px;
    border-radius: 30px;
    /* border-color: #ffd700; */
    /* border-width: 5px; */
    border: none;
    color: #cfaf6a;
    font-family: "CammronDemo";
    font-size: 13px;
  }

  .login-box .login-form .inputs-holder .submit {
    background-color: #cfaf6a;
    width: 40%;
    height: 40px;
    margin-top: 30px;
    border-radius: 30px;
    /* border-color: #ffd700; */
    /* border-width: 5px; */
    border: none;
    color: #ffffff;
    font-family: "CammronDemo";
    font-size: 13px;
  }

  /*LISTAGEM*/
  .my_table {
    width: 90%;
    height: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    margin-left: 0%;
    margin-right: 0%;
  }

  .my_table .header_row {
    height: 40px;
    font-size: 14px;
    width: 100%;
  }

  .my_table .header_row .header {
    height: 100%;
    padding: 15px;
  }

  .my_table tbody {
    height: 100%;
    height: 560px;
  }

  .my_table tbody tr {
    height: 80px;
    transition: height 2s ease-in-out, background-color 1s ease-in-out;
  }

  .my_table tbody tr .item {
    line-height: 13px;
    font-size: 11px;
    margin: 4px;
    transition: opacity 2s ease-in-out;
  }
}

@media screen and (max-width: 768px) {
  :root {
    --side_login_margin: 20%;
    --top_login_margin: 12%;
    --form_margin: 25px;
    --form_margin_top: 70px;
  }
  /*LOGO*/
  .top_holder {
    width: 100%;
    top: 0px;
    left: 0px;
    /* height: 150px; */
  }

  .top_holder .logo-holder {
    /* left: 35%; */
    width: 30%;
    margin-top: 40px;
    height: auto;
  }
  .top_holder .logout {
    float: left;
    width: 10%;
    left: 56%;
    right: 0%;
    top: 40px;
    /* margin-top: 35px; */
    position: relative;
    font-size: 20px;
    color: #ffffff;
  }

  .top_holder .logout a p {
    font-size: 14px;
    font-family: "CammronDemo";
    color: #ffffff;
  }
  /*LOGIN*/
  .login-box {
    background-color: #ffffff;
    border-radius: 10px;
    /* margin-left: var(--side_login_margin); */
    margin-top: var(--top_login_margin);
    width: 33%;
    /* height: 45%; */
    height: 340px;
  }

  .login-box .login-form {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    padding-left: var(--form_margin);
    padding-right: var(--form_margin);
    padding-top: var(--form_margin_top);
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .login-box .login-form .login-text {
    color: #000000;
    font-family: "CammronDemo";
    font-size: 25px;
  }
  .login-box .login-form .inputs-holder {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .login-box .login-form .inputs-holder input {
    background-color: #ededed;
    width: 100%;
    height: 35px;
    margin-top: 30px;
    padding-left: 15px;
    border-radius: 30px;
    /* border-color: #ffd700; */
    /* border-width: 5px; */
    border: none;
    color: #cfaf6a;
    font-family: "CammronDemo";
    font-size: 10px;
  }

  .login-box .login-form .inputs-holder .submit {
    background-color: #cfaf6a;
    width: 40%;
    height: 40px;
    margin-top: 30px;
    border-radius: 30px;
    /* border-color: #ffd700; */
    /* border-width: 5px; */
    border: none;
    color: #ffffff;
    font-family: "CammronDemo";
    font-size: 13px;
  }

  /*LISTAGEM*/
  .my_table {
    width: 90%;
    height: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    margin-left: 0%;
    margin-right: 0%;
  }

  .my_table .header_row {
    height: 40px;
    font-size: 13px;
    width: 100%;
  }

  .my_table .header_row .header {
    height: 100%;
    padding: 12px;
  }

  .my_table tbody {
    height: 100%;
    height: 480px;
  }

  .my_table tbody tr {
    height: 80px;
    transition: height 2s ease-in-out, background-color 1s ease-in-out;
  }

  .my_table tbody tr .item {
    line-height: 13px;
    font-size: 11px;
    margin: 4px;
    transition: opacity 2s ease-in-out;
  }
}

@media screen and (max-width: 425px) {
  :root {
    --top_login_margin: 20%;
  }

  .login-box {
    width: 60%;
  }
}
